---
schema_version: "1"
id: c5a0234603a422bdd0f57ce27da88f311a187d7688791ef353103c4a5e5d5e83
title: Get Field Values from an External Object Record by Using the Salesforce ID
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-get-field-values-external-object-hdv.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-get-field-values-external-object-hdv.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d48a911e6b31d6f286fa3073bbb387b2890a74034916ef7c1f974bc5521a8157
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Field Values from an External Object Record by Using the Salesforce ID

You use the sObject Rows resource to retrieve field values from a record. Specify the fields you want to retrieve in the `fields` parameter and use the GET method of the resource.

In the following example, the `Country__c` custom field is retrieved from an external object that’s associated with a non-high-data-volume external data source.

## Example for retrieving values from fields on the Customer external object

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Customer__x/x01D0000000002RIAQ?fields=Country__c -H "Authorization: Bearer token"
```

## Example request body

None required

## Example response body

```nolang
{
  "attributes" : {
    "type" : "Customer__x",
    "url" : "/services/data/v68.0/sobjects/Customer__x/x01D0000000002RIAQ"
  },
  "Country__c" : "Argentina",
  "Id" : "x01D0000000002RIAQ"
}
```

